# std::_Rb_tree< _Key, _Val, _KeyOfValue, _Compare, _Alloc >::_Rb_tree_impl< _Key_compare, true > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Key, typename _Val, typename _KeyOfValue, typename _Compare, typename _Alloc = allocator<_Val>>
template<typename _Key_compare>
struct std::_Rb_tree< _Key, _Val, _KeyOfValue, _Compare, _Alloc >::_Rb_tree_impl< _Key_compare, true >

Definition at line 428 of file stl_tree.h.

## Public Member Functions

- _Rb_tree_impl (const _Node_allocator &__a=_Node_allocator(), const _Key_compare &__comp=_Key_compare())

## Public Attributes

- _Rb_tree_node_base _M_header
- _Key_compare _M_key_compare
- size_type _M_node_count

The documentation for this struct was generated from the following file:

- stl_tree.h